function hlPos = findHighlight(imagePFM, imgMask)
% this function find the highlight region within the mask
% return the coordinate of the highlight region

	img = rgb2gray(imread_pfm(imagePFM));

	% mask all other regions
	img(~imgMask) = 0;

	% find the hightlight region
	[y x]= find(img >= 0.9);

	% calculate the position
	startX = min(x);
	startY = min(y);
	offsetX = (max(x) - startX)/2;
	offsetY = (max(y) - startY)/2;
	xPos = round(startX + offsetX);
	yPos = round(startY + offsetY);
	hlPos = [xPos yPos];