function L_list = find_L_list(mask, imgList)
fprintf('Calibrating illumination direction with %s...\n',mask);

sphereMask = rgb2gray(imread(mask));

% find shpere's pixels
[y x]= find(sphereMask>250);

%find sphere's radius
width = max(x) - min(x);
height = max(y) - min(y);
radius = (width+height)/4;	%avg value

% find sphere's center
center_x = round(min(x) + radius);
center_y = round(min(y) + radius);
center = [center_x center_y];

% alloc
L_list = zeros(length(imgList),3);

% find L of all images
for i=1:length(imgList(:,1))
	highlightPos = findHighlight(imgList(i,:), sphereMask);
	if isempty(highlightPos)	% cannot find highlight
		continue;
	end
	L_list(i,:) = find_L(highlightPos, center, radius);
end